/***************************************************************************
 *                                                                         *
 *  Copyright 2012 LSI Corporation.  All rights reserved.                  *
 *                                                                         *
 *  This file is confidential and a trade secret of LSI Logic.  The        *
 *  receipt of or possession of this file does not convey any rights to    *
 *  reproduce or disclose its contents or to manufacture, use, or sell     *
 *  anything it may describe, in whole, or in part, without the specific   *
 *  written consent of LSI Logic Corporation.                              *
 *                                                                         *
 ***************************************************************************
 *
 *           Name:  pliIncludes.h
 *          Title:  SAS Firmware Include Files
 *     Programmer:  Brad Besmer
 *  Creation Date:  May 20, 2003
 *
 *
 * Description
 * ------------
 * Contain Header File includes for SAS firmware project.
 *-------------------------------------------------------------------------
 */

#ifndef PLIINCLUDES_H_INCLUDED
#define PLIINCLUDES_H_INCLUDED

/* Base & Build Definitions */
#include "mpi2_type.h"
#include "basetype.h"

/* FW work-arounds for HW bugs in the PL */
#include "plFirmwareCompileOptions.h"


#include "iopiMaxes.h"


/* Hardware Definitions */

#include "ppc476.h"
#include "sas3hw.h"
#ifdef   INVADER
#include "sas3sbr.h"
#include "colthw.h"

#include "detroithw.h"

#if __ghs__
    #include <ppc_ghs.h>
#endif
#else
#include "sentinelhw.h"
#endif

/* MPI-2 */
#include "mpi2.h"
#include "mpi2_ioc.h"
#include "mpi2_init.h"
#include "mpi2_cnfg.h"
#include "mpi2_targ.h"
#include "mpi2_sas.h"
#include "mpi2_raid.h"
#include "mpi2_tool.h"
#include "mpi2_ra.h"
#include "mpi2_hbd.h"

/* This includes things which *should* be in MPI but aren't (yet) */
#include "mpi_temp.h"

/* Protocol Definitions */
#include "ata.h"
#include "sas.h"
#include "scsi.h"

/* IOP Interface Definitions */
#include "iopiIStatus.h"
#include "iopiDefs.h"
#include "iopiIFault.h"
#include "iopiIocLogInfo.h"
#include "iopiConfig.h"
#include "iopiMsg.h"

/* PL Interface Definitions */
#include "pliDefs.h"
#include "pliFault.h"
#include "pliIocLogInfo.h"

/* IOP Interface Prototypes */
#include "iopiProtos.h"

/* PL Interface Prototypes */
#include "pliProtos.h"


/* Debug Header files */
#include "plDebug.h"


/*****************************************************************************
*
*      Private PL Header Files
*
*****************************************************************************/
#include "plSataType.h"
#include "plStates.h"
#include "plDefs.h"
#include "plTaskMgmt.h"
#include "plSgpio.h"
#include "plEnclMgmt.h"
#include "plInternalScsiIo.h"
//#include "plQuiesceIo.h"


#if COMPILE_OPTION_SAS_PORT_VIRT
#include "plZoneMgr.h"
#include "plVemData.h"
#include "plVemiProtos.h"
#endif

#if INVADER
#include "plFpe.h"

#if ENABLE_TRACE_BUFFER_MANAGER
#include "plTBM.h"
#endif

#endif

#include "pl.h"
#include "plSasCoreCleanup.h"
//#if PL_HW_WORKAROUND_ENABLE_THUNDERBOLT_POWER_MANAGEMENT_COMPILED_IN
//#include "SharedDataStructures.h"
//#endif /* PL_HW_WORKAROUND_ENABLE_THUNDERBOLT_POWER_MANAGEMENT_COMPILED_IN */
#include "plPortWidthUtilization.h"
#include "plPowerManagement.h"
#include "plPrototypes.h"
#include "plSataPrototypes.h"
#include "plTimer.h"
#include "plDaSep.h"
#include "plGpioLed.h"
#include "plDiscovery.h"
#include "plDeviceManager.h"
#include "plConfigPage.h"
//#if PL_HW_WORKAROUND_ENABLE_THUNDERBOLT_POWER_MANAGEMENT_COMPILED_IN
//#include "plPortWidthModulation.h"
//#endif /* PL_HW_WORKAROUND_ENABLE_THUNDERBOLT_POWER_MANAGEMENT_COMPILED_IN */

#include "plDiagCmd.h"

#endif /* PLIINCLUDES_H_INCLUDED */


