/***************************************************************************
 *                                                                         *
 *  Copyright (C) 2012 LSI Corporation.  All rights reserved.              *
 *                                                                         *
 *  This file is confidential and a trade secret of LSI Corporation. The   *
 *  receipt of or possession of this file does not convey any rights to    *
 *  reproduce or disclose its contents or to manufacture, use, or sell     *
 *  anything it may describe, in whole, or in part, without the specific   *
 *  written consent of LSI Corporation.                                    *
 *                                                                         *
 ***************************************************************************
 *
 *           Name:  ethDebug.h
 *          Title:  ETHERNET Debug macros and defintions
 *     Programmer:  Naresh Bhalala
 *  Creation Date:  09 June 2012
 *
 *
 * Description
 * ------------
 * This include file contains ETHERNET debug macros and defines.
 *
 *-------------------------------------------------------------------------
 */

#ifndef ETH_DEBUG_HEADER
#define ETH_DEBUG_HEADER

/* ETHERNET PRINT Constants
 * WARNING: this section is auto-generated.  Changes here will be overwritten
 * Make changes in ethDebugTmpl.h or ethDebugStrings.h
 */

#define ETH_DBG_STR_MAX_INDEX		31

/* AUTOGEN_INDICES_START - NOTE: this token is needed for the build process */
#define ETH_DBG_STR_HAL_DRIVER_INVALID_NETDEV			28673
#define ETH_DBG_STR_HAL_DRIVER_USAGE			28674
#define ETH_DBG_STR_INT_DRIVER_RX_PKT_DROPPED			28675
#define ETH_DBG_STR_INT_DRIVER_RX_DATA_LEN			28676
#define ETH_DBG_STR_INT_DRIVER_SKB_DATA			28677
#define ETH_DBG_STR_INT_DRIVER_NEW_LINE			28678
#define ETH_DBG_STR_INT_DRIVER_TX_DATA_LEN			28679
#define ETH_DBG_STR_INT_DRIVER_CONFIG_IO_ADD_CHG_ERR			28680
#define ETH_DBG_STR_INT_DRIVER_IOCTL_CMD			28681
#define ETH_DBG_STR_INT_DRIVER_TX_TIMEOUT_INFO			28682
#define ETH_DBG_STR_INT_DRIVER_TX_TIMEOUT_REINIT_ERR			28683
#define ETH_DBG_STR_INT_DRIVER_INIT_DEVICE_ALLOC_ERR			28684
#define ETH_DBG_STR_INT_DRIVER_INIT_ENG_REG_DEV_ERR			28685
#define ETH_DBG_STR_INT_DRIVER_INIT_ERR			28686
#define ETH_DBG_STR_INT_DRIVER_INIT_REG_ERR			28687
#define ETH_DBG_STR_FRAME_GET_FRAME_SUBSYS_INFO			28688
#define ETH_DBG_STR_FRAME_GET_FRAME_INVALID_SUBSYS			28689
#define ETH_DBG_STR_FRAME_GET_FRAME_PTR_MSG			28690
#define ETH_DBG_STR_FRAME_FREE_FRAME_MSG_PTR			28691
#define ETH_DBG_STR_FRAME_FREE_FRAME_INVALID_REQ			28692
#define ETH_DBG_STR_FRAME_OWNED_SUBSYS_INFO			28693
#define ETH_DBG_STR_FRAME_OWNED_CONTEXT_OWNER			28694
#define ETH_DBG_STR_FRAME_QUEUE_MEM_ALLOC_FAIL			28695
#define ETH_DBG_STR_INTERRUPT_VIRTUAL_IRQ_FAIL			28696
#define ETH_DBG_STR_INTERRUPT_INIT_FAIL			28697
#define ETH_DBG_STR_SIM_DRIVER_GET_FRAME_LEN			28698
#define ETH_DBG_STR_SIM_DRIVER_HW_INIT_INFO			28699
#define ETH_DBG_STR_INT_DRIVER_MAC_ADDR_STR			28700
#define ETH_DBG_STR_INT_DRIVER_MAC_ADDR_VAL			28701
#define ETH_DBG_STR_INT_DRIVER_MAC_ADDR_VAL_END			28702
#define ETH_DBG_STR_CRAM_DRIVER_MEM_INVALID			28703
/* AUTOGEN_INDICES_END   - NOTE: this token is needed for the build process */
/* WARNING: the above defines are auto-generated from ethDebugStrings.h */


/* WARNING: this section is auto-generated.  Changes here will be overwritten */
/* DIAG_PARSE_START_STRING_PARAM_SECTION Note: This token marks the start of the string parameter section for the parser*/
#define ETH_DBG_PREFIX_FORMAT_STR_PARAMS_0 0 	/*P-000*/
#define ETH_DBG_PREFIX_FORMAT_STR_PARAMS_1 0 	/*P-001*/
#define ETH_DBG_PREFIX_FORMAT_STR_PARAMS_2 0 	/*P-002*/
#define ETH_DBG_PREFIX_FORMAT_STR_PARAMS_3 0 	/*P-003*/
#define ETH_DBG_PREFIX_FORMAT_STR_PARAMS_4 1 	/*P-004*/
#define ETH_DBG_PREFIX_FORMAT_STR_PARAMS_5 1 	/*P-005*/
#define ETH_DBG_PREFIX_FORMAT_STR_PARAMS_6 0 	/*P-006*/
#define ETH_DBG_PREFIX_FORMAT_STR_PARAMS_7 1 	/*P-007*/
#define ETH_DBG_PREFIX_FORMAT_STR_PARAMS_8 0 	/*P-008*/
#define ETH_DBG_PREFIX_FORMAT_STR_PARAMS_9 1 	/*P-009*/
#define ETH_DBG_PREFIX_FORMAT_STR_PARAMS_10 2 	/*P-010*/
#define ETH_DBG_PREFIX_FORMAT_STR_PARAMS_11 1 	/*P-011*/
#define ETH_DBG_PREFIX_FORMAT_STR_PARAMS_12 0 	/*P-012*/
#define ETH_DBG_PREFIX_FORMAT_STR_PARAMS_13 1 	/*P-013*/
#define ETH_DBG_PREFIX_FORMAT_STR_PARAMS_14 1 	/*P-014*/
#define ETH_DBG_PREFIX_FORMAT_STR_PARAMS_15 2 	/*P-015*/
#define ETH_DBG_PREFIX_FORMAT_STR_PARAMS_16 1 	/*P-016*/
#define ETH_DBG_PREFIX_FORMAT_STR_PARAMS_17 0 	/*P-017*/
#define ETH_DBG_PREFIX_FORMAT_STR_PARAMS_18 1 	/*P-018*/
#define ETH_DBG_PREFIX_FORMAT_STR_PARAMS_19 1 	/*P-019*/
#define ETH_DBG_PREFIX_FORMAT_STR_PARAMS_20 0 	/*P-020*/
#define ETH_DBG_PREFIX_FORMAT_STR_PARAMS_21 1 	/*P-021*/
#define ETH_DBG_PREFIX_FORMAT_STR_PARAMS_22 1 	/*P-022*/
#define ETH_DBG_PREFIX_FORMAT_STR_PARAMS_23 0 	/*P-023*/
#define ETH_DBG_PREFIX_FORMAT_STR_PARAMS_24 0 	/*P-024*/
#define ETH_DBG_PREFIX_FORMAT_STR_PARAMS_25 2 	/*P-025*/
#define ETH_DBG_PREFIX_FORMAT_STR_PARAMS_26 1 	/*P-026*/
#define ETH_DBG_PREFIX_FORMAT_STR_PARAMS_27 3 	/*P-027*/
#define ETH_DBG_PREFIX_FORMAT_STR_PARAMS_28 0 	/*P-028*/
#define ETH_DBG_PREFIX_FORMAT_STR_PARAMS_29 1 	/*P-029*/
#define ETH_DBG_PREFIX_FORMAT_STR_PARAMS_30 1 	/*P-030*/
#define ETH_DBG_PREFIX_FORMAT_STR_PARAMS_31 0 	/*P-031*/
/* DIAG_PARSE_END_STRING_PARAM_SECTION   Note: This token marks the end of the string parameter section for the parser*/

#endif /* end of file */
