/***************************************************************************
 *                                                                         *
 *  Copyright (C) 2012 LSI Corporation.  All rights reserved.              *
 *                                                                         *
 *  This file is confidential and a trade secret of LSI Corporation. The   *
 *  receipt of or possession of this file does not convey any rights to    *
 *  reproduce or disclose its contents or to manufacture, use, or sell     *
 *  anything it may describe, in whole, or in part, without the specific   *
 *  written consent of LSI Corporation.                                    *
 *                                                                         *
 ***************************************************************************
 *
 *           Name:  flashDebug.h
 *          Title:  FLASH Debug macros and defintions
 *     Programmer:  Naresh Bhalala
 *  Creation Date:  29 May 2012
 *
 *
 * Description
 * ------------
 * This include file contains FLASH debug macros and defines.
 *
 *-------------------------------------------------------------------------
 */

#ifndef FLASH_DEBUG_HEADER
#define FLASH_DEBUG_HEADER

/* FLASH PRINT Constants
 * WARNING: this section is auto-generated.  Changes here will be overwritten
 * Make changes in flashDebugTmpl.h or flashDebugStrings.h
 */

#define FLASH_DBG_STR_MAX_INDEX		55

/* AUTOGEN_INDICES_START - NOTE: this token is needed for the build process */
#define FLASH_DBG_STR_HAL_DRIVER_INVALID_MAJOR_NO			12289
#define FLASH_DBG_STR_HAL_DRIVER_USAGE			12290
#define FLASH_DBG_STR_INT_INIT_REG_FAILED			12291
#define FLASH_DBG_STR_INT_INIT_MAPPING_FAILED			12292
#define FLASH_DBG_STR_INT_DRIVER_INIT_ADDRESS_MAP			12293
#define FLASH_DBG_STR_INT_DRIVER_INIT_FAIL			12294
#define FLASH_DBG_STR_INT_DRIVER_OPEN			12295
#define FLASH_DBG_STR_INT_DRIVER_OPEN_FAIL			12296
#define FLASH_DBG_STR_INT_DRIVER_READ			12297
#define FLASH_DBG_STR_INT_DRIVER_CLOSE			12298
#define FLASH_DBG_STR_INT_DRIVER_WRITE_INVALID_INP			12299
#define FLASH_DBG_STR_INT_DRIVER_WRITE_INVALID_CMD			12300
#define FLASH_DBG_STR_INT_DRIVER_WRITE_INVALID_ARG			12301
#define FLASH_DBG_STR_INT_DRIVER_WRITE_COUNT			12302
#define FLASH_DBG_STR_INT_DRIVER_WRITE_COMMAND			12303
#define FLASH_DBG_STR_INT_DRIVER_WRITE_FLASH_INFO_1			12304
#define FLASH_DBG_STR_INT_DRIVER_WRITE_FLASH_INFO_2			12305
#define FLASH_DBG_STR_INT_DRIVER_WRITE_FLASH_INFO_3			12306
#define FLASH_DBG_STR_INT_DRIVER_WRITE_FLASH_INFO_4			12307
#define FLASH_DBG_STR_INT_DRIVER_WRITE_FLASH_INFO_5			12308
#define FLASH_DBG_STR_INT_DRIVER_WRITE_FLASH_INFO_6			12309
#define FLASH_DBG_STR_INT_DRIVER_WRITE_FLASH_INFO_7			12310
#define FLASH_DBG_STR_INT_DRIVER_WRITE_FLASH_INFO_8			12311
#define FLASH_DBG_STR_INT_DRIVER_WRITE_FLASH_INFO_9			12312
#define FLASH_DBG_STR_INT_DRIVER_WRITE_FLASH_INFO_10			12313
#define FLASH_DBG_STR_INT_DRIVER_WRITE_FLASH_INFO_11			12314
#define FLASH_DBG_STR_INT_DRIVER_WRITE_FLASH_INFO_12			12315
#define FLASH_DBG_STR_INT_DRIVER_WRITE_FLASH_INFO_13			12316
#define FLASH_DBG_STR_INT_DRIVER_WRITE_FLASH_INFO_14			12317
#define FLASH_DBG_STR_INT_DRIVER_WRITE_FLASH_INFO_15			12318
#define FLASH_DBG_STR_INT_DRIVER_WRITE_FLASH_INFO_16			12319
#define FLASH_DBG_STR_INT_DRIVER_WRITE_FLASH_INFO_17			12320
#define FLASH_DBG_STR_INT_DRIVER_WRITE_FLASH_INFO_18			12321
#define FLASH_DBG_STR_INT_DRIVER_WRITE_FLASH_INFO_19			12322
#define FLASH_DBG_STR_INT_DRIVER_WRITE_FLASH_INFO_20			12323
#define FLASH_DBG_STR_INT_DRIVER_WRITE_ERASE_INFO_1			12324
#define FLASH_DBG_STR_INT_DRIVER_WRITE_ERASE_INFO_2			12325
#define FLASH_DBG_STR_INT_DRIVER_WRITE_ERASE_INFO_3			12326
#define FLASH_DBG_STR_INT_DRIVER_WRITE_ERASE_INFO_4			12327
#define FLASH_DBG_STR_INT_DRIVER_WRITE_ERASE_INFO_5			12328
#define FLASH_DBG_STR_INT_DRIVER_WRITE_ERASE_INFO_6			12329
#define FLASH_DBG_STR_INT_DRIVER_WRITE_ERASE_INFO_7			12330
#define FLASH_DBG_STR_INT_DRIVER_WRITE_ERASE_INFO_8			12331
#define FLASH_DBG_STR_INT_DRIVER_WRITE_ERASE_INFO_9			12332
#define FLASH_DBG_STR_INT_DRIVER_WRITE_ERASE_INFO_10			12333
#define FLASH_DBG_STR_INT_DRIVER_WRITE_ERASE_INFO_11			12334
#define FLASH_DBG_STR_INT_DRIVER_WRITE_PROTECT_INFO_1			12335
#define FLASH_DBG_STR_INT_DRIVER_WRITE_PROTECT_INFO_2			12336
#define FLASH_DBG_STR_INT_DRIVER_WRITE_PROTECT_INFO_3			12337
#define FLASH_DBG_STR_INT_DRIVER_WRITE_READ_OPR_INFO_1			12338
#define FLASH_DBG_STR_INT_DRIVER_WRITE_READ_OPR_INFO_2			12339
#define FLASH_DBG_STR_INT_DRIVER_WRITE_WRT_OPR_INFO_1			12340
#define FLASH_DBG_STR_INT_DRIVER_WRITE_WRT_OPR_INFO_2			12341
#define FLASH_DBG_STR_INT_DRIVER_WRITE_WRT_OPR_INFO_3			12342
#define FLASH_DBG_STR_INT_DRIVER_WRITE_WRT_OPR_INFO_4			12343
/* AUTOGEN_INDICES_END   - NOTE: this token is needed for the build process */
/* WARNING: the above defines are auto-generated from flashDebugStrings.h */


/* WARNING: this section is auto-generated.  Changes here will be overwritten */
/* DIAG_PARSE_START_STRING_PARAM_SECTION Note: This token marks the start of the string parameter section for the parser*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_0 0 	/*P-000*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_1 1 	/*P-001*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_2 0 	/*P-002*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_3 0 	/*P-003*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_4 0 	/*P-004*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_5 1 	/*P-005*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_6 0 	/*P-006*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_7 0 	/*P-007*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_8 1 	/*P-008*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_9 0 	/*P-009*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_10 0 	/*P-010*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_11 0 	/*P-011*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_12 0 	/*P-012*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_13 0 	/*P-013*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_14 1 	/*P-014*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_15 1 	/*P-015*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_16 0 	/*P-016*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_17 0 	/*P-017*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_18 3 	/*P-018*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_19 0 	/*P-019*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_20 0 	/*P-020*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_21 0 	/*P-021*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_22 0 	/*P-022*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_23 0 	/*P-023*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_24 0 	/*P-024*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_25 0 	/*P-025*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_26 1 	/*P-026*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_27 1 	/*P-027*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_28 1 	/*P-028*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_29 1 	/*P-029*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_30 1 	/*P-030*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_31 1 	/*P-031*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_32 1 	/*P-032*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_33 1 	/*P-033*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_34 0 	/*P-034*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_35 0 	/*P-035*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_36 1 	/*P-036*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_37 1 	/*P-037*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_38 0 	/*P-038*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_39 0 	/*P-039*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_40 1 	/*P-040*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_41 0 	/*P-041*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_42 0 	/*P-042*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_43 0 	/*P-043*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_44 0 	/*P-044*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_45 0 	/*P-045*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_46 0 	/*P-046*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_47 2 	/*P-047*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_48 0 	/*P-048*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_49 0 	/*P-049*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_50 2 	/*P-050*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_51 0 	/*P-051*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_52 1 	/*P-052*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_53 0 	/*P-053*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_54 0 	/*P-054*/
#define FLASH_DBG_PREFIX_FORMAT_STR_PARAMS_55 0 	/*P-055*/
/* DIAG_PARSE_END_STRING_PARAM_SECTION   Note: This token marks the end of the string parameter section for the parser*/

#endif /* end of file */
