/***************************************************************************
 *                                                                         *
 *  Copyright (C) 2012 LSI Corporation.  All rights reserved.              *
 *                                                                         *
 *  This file is confidential and a trade secret of LSI Corporation. The   *
 *  receipt of or possession of this file does not convey any rights to    *
 *  reproduce or disclose its contents or to manufacture, use, or sell     *
 *  anything it may describe, in whole, or in part, without the specific   *
 *  written consent of LSI Corporation.                                    *
 *                                                                         *
 ***************************************************************************
 *
 *           Name:  iopDebug.h
 *          Title:  IOP Debug macros and defintions
 *     Programmer:  Thibash Rajamani
 *  Creation Date:  10 Apr 2012
 *
 *
 * Description
 * ------------
 * This include file contains IOP debug macros and defines.
 *
 *-------------------------------------------------------------------------
 */

#ifndef IOP_DEBUG_HEADER
#define IOP_DEBUG_HEADER

/* IOP PRINT Constants
 * WARNING: this section is auto-generated.  Changes here will be overwritten
 * Make changes in iopDebugTmpl.h or iopDebugStrings.h
 */

#define IOP_DBG_STR_MAX_INDEX		35

/* AUTOGEN_INDICES_START - NOTE: this token is needed for the build process */
#define IOP_DBG_STR_FPE_REQUESTOR_FAST			1
#define IOP_DBG_STR_FPE_REQUESTOR_DETAILED			2
#define IOP_DBG_STR_FPE_COMPLETOR_FAST			3
#define IOP_DBG_STR_FPE_COMPLETOR_DETAILED			4
#define IOP_DBG_STR_RESERVED5			5
#define IOP_DBG_STR_RESERVED6			6
#define IOP_DBG_STR_RESERVED7			7
#define IOP_DBG_STR_RESERVED8			8
#define IOP_DBG_STR_RESERVED9			9
#define IOP_DBG_STR_RESERVED10			10
#define IOP_DBG_STR_RESERVED11			11
#define IOP_DBG_STR_RESERVED12			12
#define IOP_DBG_STR_RESERVED13			13
#define IOP_DBG_STR_RESERVED14			14
#define IOP_DBG_STR_RESERVED15			15
#define IOP_DBG_STR_RESERVED16			16
#define IOP_DBG_STR_MEM_ALLOC			17
#define IOP_DBG_STR_MEM_SET			18
#define IOP_DBG_STR_TBM_WRONG_NUM_ARGS			19
#define IOP_DBG_STR_FREE_FRAME_1			20
#define IOP_DBG_STR_FREE_FRAME_2			21
#define IOP_DBG_STR_MSG_TO_MID			22
#define IOP_DBG_STR_GET_FRAME			23
#define IOP_DBG_STR_GET_MSG_FRAME			24
#define IOP_DBG_STR_MID_TO_MSG			25
#define IOP_DBG_STR_MEM_MOVE_SGE			26
#define IOP_DBG_STR_MEM_MOVE_SGE_DATA			27
#define IOP_DBG_STR_CONFIG_REQUEST			28
#define IOP_DBG_STR_CONFIG_REQUEST_IOC			29
#define IOP_DBG_STR_CONFIG_REQUEST_COMPLETE			30
#define IOP_DBG_STR_INT_DRIVER_WRITE_MAX_ARGS			31
#define IOP_DBG_STR_INT_DRIVER_WRITE_NUM_OF_ARGS			32
#define IOP_DBG_STR_INT_DRIVER_WRITE_ARGS			33
#define IOP_DBG_STR_INT_DRIVER_WRITE_TBM			34
#define IOP_DBG_STR_INT_DRIVER_WRITE_COMMAND_INV			35
/* AUTOGEN_INDICES_END   - NOTE: this token is needed for the build process */
/* WARNING: the above defines are auto-generated from iopDebugStrings.h */

#define IOP_DBG_MAXRESERVED_PRINT_INDEX (16)

/* WARNING: this section is auto-generated.  Changes here will be overwritten */
/* DIAG_PARSE_START_STRING_PARAM_SECTION Note: This token marks the start of the string parameter section for the parser*/
#define IOP_DBG_PREFIX_FORMAT_STR_PARAMS_0 0 	/*P-000*/
#define IOP_DBG_PREFIX_FORMAT_STR_PARAMS_1 2 	/*P-001*/
#define IOP_DBG_PREFIX_FORMAT_STR_PARAMS_2 4 	/*P-002*/
#define IOP_DBG_PREFIX_FORMAT_STR_PARAMS_3 2 	/*P-003*/
#define IOP_DBG_PREFIX_FORMAT_STR_PARAMS_4 4 	/*P-004*/
#define IOP_DBG_PREFIX_FORMAT_STR_PARAMS_5 0 	/*P-005*/
#define IOP_DBG_PREFIX_FORMAT_STR_PARAMS_6 0 	/*P-006*/
#define IOP_DBG_PREFIX_FORMAT_STR_PARAMS_7 0 	/*P-007*/
#define IOP_DBG_PREFIX_FORMAT_STR_PARAMS_8 0 	/*P-008*/
#define IOP_DBG_PREFIX_FORMAT_STR_PARAMS_9 0 	/*P-009*/
#define IOP_DBG_PREFIX_FORMAT_STR_PARAMS_10 0 	/*P-010*/
#define IOP_DBG_PREFIX_FORMAT_STR_PARAMS_11 0 	/*P-011*/
#define IOP_DBG_PREFIX_FORMAT_STR_PARAMS_12 0 	/*P-012*/
#define IOP_DBG_PREFIX_FORMAT_STR_PARAMS_13 0 	/*P-013*/
#define IOP_DBG_PREFIX_FORMAT_STR_PARAMS_14 0 	/*P-014*/
#define IOP_DBG_PREFIX_FORMAT_STR_PARAMS_15 0 	/*P-015*/
#define IOP_DBG_PREFIX_FORMAT_STR_PARAMS_16 0 	/*P-016*/
#define IOP_DBG_PREFIX_FORMAT_STR_PARAMS_17 1 	/*P-017*/
#define IOP_DBG_PREFIX_FORMAT_STR_PARAMS_18 3 	/*P-018*/
#define IOP_DBG_PREFIX_FORMAT_STR_PARAMS_19 1 	/*P-019*/
#define IOP_DBG_PREFIX_FORMAT_STR_PARAMS_20 2 	/*P-020*/
#define IOP_DBG_PREFIX_FORMAT_STR_PARAMS_21 2 	/*P-021*/
#define IOP_DBG_PREFIX_FORMAT_STR_PARAMS_22 1 	/*P-022*/
#define IOP_DBG_PREFIX_FORMAT_STR_PARAMS_23 2 	/*P-023*/
#define IOP_DBG_PREFIX_FORMAT_STR_PARAMS_24 2 	/*P-024*/
#define IOP_DBG_PREFIX_FORMAT_STR_PARAMS_25 3 	/*P-025*/
#define IOP_DBG_PREFIX_FORMAT_STR_PARAMS_26 4 	/*P-026*/
#define IOP_DBG_PREFIX_FORMAT_STR_PARAMS_27 3 	/*P-027*/
#define IOP_DBG_PREFIX_FORMAT_STR_PARAMS_28 4 	/*P-028*/
#define IOP_DBG_PREFIX_FORMAT_STR_PARAMS_29 3 	/*P-029*/
#define IOP_DBG_PREFIX_FORMAT_STR_PARAMS_30 4 	/*P-030*/
#define IOP_DBG_PREFIX_FORMAT_STR_PARAMS_31 0 	/*P-031*/
#define IOP_DBG_PREFIX_FORMAT_STR_PARAMS_32 1 	/*P-032*/
#define IOP_DBG_PREFIX_FORMAT_STR_PARAMS_33 2 	/*P-033*/
#define IOP_DBG_PREFIX_FORMAT_STR_PARAMS_34 0 	/*P-034*/
#define IOP_DBG_PREFIX_FORMAT_STR_PARAMS_35 0 	/*P-035*/
/* DIAG_PARSE_END_STRING_PARAM_SECTION   Note: This token marks the end of the string parameter section for the parser*/

#endif /* end of file */
