/***************************************************************************
 *                                                                         *
 *  Copyright (C) 2012 LSI Corporation.  All rights reserved.              *
 *                                                                         *
 *  This file is confidential and a trade secret of LSI Corporation. The   *
 *  receipt of or possession of this file does not convey any rights to    *
 *  reproduce or disclose its contents or to manufacture, use, or sell     *
 *  anything it may describe, in whole, or in part, without the specific   *
 *  written consent of LSI Corporation.                                    *
 *                                                                         *
 ***************************************************************************
 *
 *           Name:  raidDebug.h
 *          Title:  RAID Debug macros and defintions
 *     Programmer:  Naresh Bhalala
 *  Creation Date:  04 JUNE 2012
 *
 *
 * Description
 * ------------
 * This include file contains RAID debug macros and defines.
 *
 *-------------------------------------------------------------------------
 */

#ifndef RAID_DEBUG_HEADER
#define RAID_DEBUG_HEADER

/* RAID PRINT Constants
 * WARNING: this section is auto-generated.  Changes here will be overwritten
 * Make changes in raidDebugTmpl.h or raidDebugStrings.h
 */

#define RAID_DBG_STR_MAX_INDEX		84

/* AUTOGEN_INDICES_START - NOTE: this token is needed for the build process */
#define RAID_DBG_STR_HAL_DRIVER_INVALID_MAJOR_NO			24577
#define RAID_DBG_STR_HAL_DRIVER_USAGE			24578
#define RAID_DBG_STR_INT_DRIVER_INIT_INVALID_MAJOR_NO			24579
#define RAID_DBG_STR_INT_DRIVER_INIT_IRQ_HANDLER			24580
#define RAID_DBG_STR_INT_DRIVER_OPEN			24581
#define RAID_DBG_STR_INT_DRIVER_OPEN_FAIL			24582
#define RAID_DBG_STR_INT_DRIVER_READ			24583
#define RAID_DBG_STR_INT_DRIVER_WRITE			24584
#define RAID_DBG_STR_INT_DRIVER_CLOSE			24585
#define RAID_DBG_STR_INT_DRIVER_IOCTL_ARG			24586
#define RAID_DBG_STR_INT_DRIVER_IOCTL_RAID_INIT_ERROR			24587
#define RAID_DBG_STR_INT_DRIVER_IOCTL_RAID_INIT_ALLOC_FAIL			24588
#define RAID_DBG_STR_INT_DRIVER_IOCTL_RAID_INIT_FAIL			24589
#define RAID_DBG_STR_INT_DRIVER_IOCTL_ARBITRATION_ERROR			24590
#define RAID_DBG_STR_INT_DRIVER_IOCTL_ARBITRATION_FAIL			24591
#define RAID_DBG_STR_INT_DRIVER_IOCTL_SETUP_XFER_FAIL			24592
#define RAID_DBG_STR_INT_DRIVER_IOCTL_CMD_PROCESS_FAIL			24593
#define RAID_DBG_STR_INT_DRIVER_EXIT_UNREG_ERR			24594
#define RAID_DBG_STR_CDB_MEM_ALLOC_FAIL			24595
#define RAID_DBG_STR_CDB_MEM_ALLOC_SGL_FAIL			24596
#define RAID_DBG_STR_CDB_SGL_DATA_COPY_FROM_USER_ALLOC_FAIL			24597
#define RAID_DBG_STR_CDB_SGL_DATA_COPY_FROM_USER_FAIL			24598
#define RAID_DBG_STR_CDB_SGL_DATA_COPY_FROM_USER_VIRT_TO_PHYS_FAIL			24599
#define RAID_DBG_STR_CDB_SGL_DATA_COPY_FROM_USER_MEM_ALLOC_BUFFER_FAIL			24600
#define RAID_DBG_STR_CDB_SGL_DATA_COPY_FROM_USER_COPY_BUFFER_FAIL			24601
#define RAID_DBG_STR_CDB_SGL_DATA_COPY_TO_USER_COPY_BUFFER_FAIL			24602
#define RAID_DBG_STR_CDB_COPY_TO_USER_SSM_DATA_EEDP_FAIL			24603
#define RAID_DBG_STR_CDB_COPY_TO_USER_SSM_DATA_FAIL			24604
#define RAID_DBG_STR_CDB_COPY_TO_USER_MULTICAST_DEST_DATA_1_FAIL			24605
#define RAID_DBG_STR_CDB_COPY_TO_USER_MULTICAST_DEST_DATA_2_FAIL			24606
#define RAID_DBG_STR_CDB_COPY_TO_USER_GEN_XOR1_EEDP_FAIL			24607
#define RAID_DBG_STR_CDB_COPY_TO_USER_GEN_XOR1_FAIL			24608
#define RAID_DBG_STR_CDB_COPY_TO_USER_GEN_XOR2_DEST_XOR1_EEDP_FAIL			24609
#define RAID_DBG_STR_CDB_COPY_TO_USER_GEN_XOR2_DEST_XOR2_EEDP_FAIL			24610
#define RAID_DBG_STR_CDB_COPY_TO_USER_GEN_XOR2_DEST_XOR1_FAIL			24611
#define RAID_DBG_STR_CDB_COPY_TO_USER_GEN_XOR2_DEST_XOR2_FAIL			24612
#define RAID_DBG_STR_CDB_COPY_TO_USER_FILL_PATTERN_DATA_FAIL			24613
#define RAID_DBG_STR_CDB_COPY_TO_USER_FILL_LFSR_DATA_FAIL			24614
#define RAID_DBG_STR_CDB_COPY_TO_USER_GEN_HASH_DATA_EEDP_FAIL			24615
#define RAID_DBG_STR_CDB_COPY_TO_USER_GEN_HASH_DATA_FAIL			24616
#define RAID_DBG_STR_CDB_COPY_TO_USER_GEN_HMAC_DATA_EEDP_FAIL			24617
#define RAID_DBG_STR_CDB_COPY_TO_USER_GEN_HMAC_DATA_FAIL			24618
#define RAID_DBG_STR_CDB_COPY_TO_USER_MOVE_MULTIPLY_DATA_FAIL			24619
#define RAID_DBG_STR_CDB_COMMAND_PROCESS_ALLOC_FAIL			24620
#define RAID_DBG_STR_CDB_COMMAND_PROCESS_COPY_FROM_USER_FAIL			24621
#define RAID_DBG_STR_CDB_COMMAND_PROCESS_COPY_TO_USER_FAIL			24622
#define RAID_DBG_STR_CDB_COMMAND_PROCESS_COPY_TO_USER_DMA0_FAIL			24623
#define RAID_DBG_STR_CDB_COMMAND_PROCESS_COPY_TO_USER_DMA1_FAIL			24624
#define RAID_DBG_STR_CDB_COMMAND_PROCESS_CDB_UNION_GET_ARG_ERROR			24625
#define RAID_DBG_STR_CDB_COMMAND_PROCESS_GET_ARG_ERROR			24626
#define RAID_DBG_STR_CDB_GET_SSM_DATA_SOURCE_DATA_EEDP_FAIL			24627
#define RAID_DBG_STR_CDB_GET_SSM_DATA_SOURCE_DATA_FAIL			24628
#define RAID_DBG_STR_CDB_GET_SSM_DATA_DEST_DATA_EEDP_FAIL			24629
#define RAID_DBG_STR_CDB_GET_SSM_DATA_DEST_DATA_FAIL			24630
#define RAID_DBG_STR_CDB_MULTI_CAST_MOVE_DATA_SOURCE_DATA_FAIL			24631
#define RAID_DBG_STR_CDB_MULTI_CAST_MOVE_DATA_DEST_DATA_FAIL			24632
#define RAID_DBG_STR_CDB_GET_GEN_XOR1_DATA_SOURCE_DATA_EEDP_FAIL			24633
#define RAID_DBG_STR_CDB_GET_GEN_XOR1_DATA_SOURCE_DATA_FAIL			24634
#define RAID_DBG_STR_CDB_GET_GEN_XOR1_DATA_DEST_DATA_EEDP_FAIL			24635
#define RAID_DBG_STR_CDB_GET_GEN_XOR2_DATA_SOURCE_DATA_EEDP_FAIL			24636
#define RAID_DBG_STR_CDB_GET_GEN_XOR2_DATA_SOURCE_DATA_FAIL			24637
#define RAID_DBG_STR_CDB_GET_GEN_XOR2_DATA_XOR1_DEST_DATA_EEDP_FAIL			24638
#define RAID_DBG_STR_CDB_GET_GEN_XOR2_DATA_XOR2_DEST_DATA_EEDP_FAIL			24639
#define RAID_DBG_STR_CDB_GET_GEN_XOR2_DATA_XOR1_DEST_DATA_FAIL			24640
#define RAID_DBG_STR_CDB_GET_GEN_XOR2_DATA_XOR2_DEST_DATA_FAIL			24641
#define RAID_DBG_STR_CDB_GET_CHECK_PATTERN_DATA_FAIL			24642
#define RAID_DBG_STR_CDB_GET_FILL_PATTERN_DATA_FAIL			24643
#define RAID_DBG_STR_CDB_GET_CHECK_LFSR_DATA_FAIL			24644
#define RAID_DBG_STR_CDB_GET_FILL_LFSR_DATA_FAIL			24645
#define RAID_DBG_STR_CDB_GET_GEN_HASH_DATA_SOURCE_DATA_EEDP_FAIL			24646
#define RAID_DBG_STR_CDB_GET_GEN_HASH_DATA_SOURCE_DATA_FAIL			24647
#define RAID_DBG_STR_CDB_GET_GEN_HASH_DATA_DEST_DATA_EEDP_FAIL			24648
#define RAID_DBG_STR_CDB_GET_GEN_HMAC_DATA_SOURCE_DATA_EEDP_FAIL			24649
#define RAID_DBG_STR_CDB_GET_GEN_HMAC_DATA_SOURCE_DATA_FAIL			24650
#define RAID_DBG_STR_CDB_GET_GEN_HMAC_DATA_DEST_DATA_EEDP_FAIL			24651
#define RAID_DBG_STR_CDB_GET_GEN_HMAC_DATA_DEST_DATA_FAIL			24652
#define RAID_DBG_STR_CDB_GET_MOVE_MULTIPLY_DATA_FAIL			24653
#define RAID_DBG_STR_CDB_LINK_LIST_SET_UP_XFER_ERROR			24654
#define RAID_DBG_STR_CDB_LINK_LIST_SET_UP_XFER_INVALID			24655
#define RAID_DBG_STR_CDB_LINK_LIST_SET_UP_XFER_FAIL			24656
#define RAID_DBG_STR_CDB_GET_ARGUMENTS_MEM_ALLOC_FAIL			24657
#define RAID_DBG_STR_CDB_GET_ARGUMENTS_COPY_FAIL			24658
#define RAID_DBG_STR_CDB_COPY_CDB_DATA_FROM_USER_MEM_ALLOC_FAIL			24659
#define RAID_DBG_STR_CDB_COPY_CDB_DATA_FROM_USER_COPY_FAIL			24660
/* AUTOGEN_INDICES_END   - NOTE: this token is needed for the build process */
/* WARNING: the above defines are auto-generated from raidDebugStrings.h */


/* WARNING: this section is auto-generated.  Changes here will be overwritten */
/* DIAG_PARSE_START_STRING_PARAM_SECTION Note: This token marks the start of the string parameter section for the parser*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_0 0 	/*P-000*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_1 0 	/*P-001*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_2 0 	/*P-002*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_3 0 	/*P-003*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_4 2 	/*P-004*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_5 0 	/*P-005*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_6 1 	/*P-006*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_7 0 	/*P-007*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_8 0 	/*P-008*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_9 0 	/*P-009*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_10 0 	/*P-010*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_11 0 	/*P-011*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_12 0 	/*P-012*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_13 0 	/*P-013*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_14 0 	/*P-014*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_15 0 	/*P-015*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_16 0 	/*P-016*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_17 0 	/*P-017*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_18 1 	/*P-018*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_19 0 	/*P-019*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_20 0 	/*P-020*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_21 0 	/*P-021*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_22 0 	/*P-022*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_23 0 	/*P-023*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_24 0 	/*P-024*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_25 0 	/*P-025*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_26 0 	/*P-026*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_27 0 	/*P-027*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_28 0 	/*P-028*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_29 0 	/*P-029*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_30 0 	/*P-030*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_31 0 	/*P-031*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_32 0 	/*P-032*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_33 0 	/*P-033*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_34 0 	/*P-034*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_35 0 	/*P-035*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_36 0 	/*P-036*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_37 0 	/*P-037*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_38 0 	/*P-038*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_39 0 	/*P-039*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_40 0 	/*P-040*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_41 0 	/*P-041*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_42 0 	/*P-042*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_43 0 	/*P-043*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_44 0 	/*P-044*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_45 0 	/*P-045*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_46 0 	/*P-046*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_47 0 	/*P-047*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_48 0 	/*P-048*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_49 0 	/*P-049*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_50 0 	/*P-050*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_51 0 	/*P-051*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_52 0 	/*P-052*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_53 0 	/*P-053*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_54 0 	/*P-054*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_55 0 	/*P-055*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_56 0 	/*P-056*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_57 0 	/*P-057*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_58 0 	/*P-058*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_59 0 	/*P-059*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_60 0 	/*P-060*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_61 0 	/*P-061*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_62 0 	/*P-062*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_63 0 	/*P-063*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_64 0 	/*P-064*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_65 0 	/*P-065*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_66 0 	/*P-066*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_67 0 	/*P-067*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_68 0 	/*P-068*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_69 0 	/*P-069*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_70 0 	/*P-070*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_71 0 	/*P-071*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_72 0 	/*P-072*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_73 0 	/*P-073*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_74 0 	/*P-074*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_75 0 	/*P-075*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_76 0 	/*P-076*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_77 0 	/*P-077*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_78 0 	/*P-078*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_79 0 	/*P-079*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_80 0 	/*P-080*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_81 0 	/*P-081*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_82 0 	/*P-082*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_83 0 	/*P-083*/
#define RAID_DBG_PREFIX_FORMAT_STR_PARAMS_84 0 	/*P-084*/
/* DIAG_PARSE_END_STRING_PARAM_SECTION   Note: This token marks the end of the string parameter section for the parser*/

#endif /* end of file */
