/***************************************************************************
 *                                                                         *
 *  Copyright (C) 2012 LSI Logic Corporation.  All rights reserved.        *
 *                                                                         *
 *  This file is confidential and a trade secret of LSI Corporation. The   *
 *  receipt of or possession of this file does not convey any rights to    *
 *  reproduce or disclose its contents or to manufacture, use, or sell     *
 *  anything it may describe, in whole, or in part, without the specific   *
 *  written consent of LSI Logic Corporation.                              *
 *                                                                         *
 ***************************************************************************
 *
 *           Name:  usbHalDriver.h
 *          Title:  Header file for sample driver for exercising USB stack
 *                  library APIs.
 *     Programmer:  Sourin Sarkar
 *  Creation Date:  May 06, 2011
 *
 *  Version History
 *  ---------------
 *
 *  Date      Who     Description
 *  --------  ---     ------------------------------------------------------
 *  05/06/11  SS      Initial version.
 *
 * Description
 * ------------
 * This file contains the defines for the sample USB stack library exerciser
 * driver.
 *
 * -------------------------------------------------------------------------
 */
#ifndef USB_HAL_DRIVER_H
#define USB_HAL_DRIVER_H

/* ------------------------------------------------------------------------ */
/* Kernel Includes                                                          */
/* ------------------------------------------------------------------------ */
#include <linux/module.h>

#include "basetype.h"
#include "commonInterface.h"

//#include "iopiTimer.h"
#include "usbLibIncludes.h"

/* ------------------------------------------------------------------------ */
/* Macro Definitions                                                        */
/* ------------------------------------------------------------------------ */

/* Driver module name */
#define USB_ENGINE_DRIVER_NAME          "lsi_usb_engine_driver"

#ifndef USBMSCDRIVER_DEFAULT_MAJOR
#define USBMSCDRIVER_DEFAULT_MAJOR      0   /* Dynamic major by default */
#endif

#ifndef USBMSCDRIVER_NUM_DEVS
#define USBMSCDRIVER_NUM_DEVS           2   /* Max 2 USB ports hence max 2 devices */
#endif

/* ------------------------------------------------------------------------ */
/* Prototype Definitions                                                    */
/* ------------------------------------------------------------------------ */
extern U8       *gUsbCramFreeAddr;
extern ISTATUS  iopMemSetup(void);
extern void     *iopMemAlloc(U32 Len);
extern void     *usbPhysMemAlloc(U32 Len);

#endif /* #ifndef USB_HAL_DRIVER_H */
