/***************************************************************************
 *                                                                         *
 *  Copyright 2009 LSI  Corporation.  All rights reserved.                 *
 *                                                                         *
 *  This file is confidential and a trade secret of LSI Corp.  The         *
 *  receipt of or possession of this file does not convey any rights to    *
 *  reproduce or disclose its contents or to manufacture, use, or sell     *
 *  anything it may describe, in whole, or in part, without the specific   *
 *  written consent of LSI Corporation.                                    *
 *                                                                         *
 ***************************************************************************
 *
 *           Name:  usbLibIncludes.h
 *          Title:  USB Library Utility common header.
 *     Programmer:  Sourin Sarkar
 *  Creation Date:  Jan 12, 2010
 *
 *
 * Description
 * ------------
 * This file contains functions which can be used to communicate with the USB
 * hardware core.
 *
 *-------------------------------------------------------------------------
 */

#ifndef _USBLIBINCLUDES_H_
#define _USBLIBINCLUDES_H_

#if (IOC_USB_SUPPORT)

#if USBLIB_CHECK

#include "basetypeUSB.h"
#include "sas3hw.h"
#include "scsi.h"
#include "pliDefs.h"
#include "iopiDefs.h"

#else

#include "basetypeUSB.h"
#include "scsi.h"

#endif

/* USB Stack library specific headers */
#include "usb.h"
#include "usbLibHw.h"
#include "usbLibStatus.h"
#include "usbLibDebug.h"
#include "usbLib.h"
#include "usbLibUtil.h"
#include "usbLibHal.h"
#include "usbLibProtoDesc.h"
#include "usbLibStackGlobals.h"
#include "usbLibProto.h"
#include "usbLibHost.h"
#include "usbLibDevMsc.h"

#endif /* #if (IOC_USB_SUPPORT) */

#endif /* #ifndef _USBLIBINCLUDES_H_ */

