/*******************************************************************************

NAME            ubootLib.lds
VERSION         %version: 2 %
UPDATE DATE     %date_modified: Thu Oct 17 11:35:14 2013 %
PROGRAMMER      %created_by:    weberc %

        Copyright 2013 NetApp, Inc. All rights reserved.

*******************************************************************************/
/* ##############################################################################   */
/* #                                                                            #   */
/* #  Copyright 2011 LSI Corporation.  All rights reserved.                     #   */
/* #                                                                            #   */
/* #  This file is confidential and a trade secret of LSI Logic.  The           #   */
/* #  receipt of or possession of this file does not convey any rights to       #   */
/* #  reproduce or disclose its contents or to manufacture, use, or sell        #   */
/* #  anything it may describe, in whole, or in part, without the specific      #   */
/* #  written consent of LSI Logic Corporation.                                 #   */
/* #                                                                            #   */
/* ##############################################################################   */
/* #                                                                                */
/* #           Name:  Makefile						            */
/* #          Title:  Makefile for creating the standalone u-boot module            */
/* #     Programmer:  Nilesh Wilanker                                               */
/* #     Modified  :  Naresh Madhusudana                                            */
/* #  Creation Date:  July 4, 2011                                                  */ 
/* #                                                                                */
/* #  Version History                                                               */
/* #  ---------------                                                               */
/* #  Date      Who   Description                                                   */
/* #  --------  ---   -----------------------------------------------------------   */
/* #  07/04/11  NW    Initial version.                                              */
/* #  10/06/11  NM    Modified for Invader. Added the linker script for fin control */
/* #  10/17/12  BM    Chagned link address from 0xFFD00000 to 0xFFF00000.           */
/* #                                                                                */
/* # Description                                                                    */
/* # ------------                                                                   */
/* # Makefile for creating the standalone u-boot module                             */ 
/* #                                                                                */ 
/* #-----------------------------------------------------------------------------   */

OUTPUT_ARCH(powerpc)
PHDRS
{
  text PT_LOAD;
  bss PT_LOAD;
}
SECTIONS
{
  . = 0xFFF00000;
  .text :
  {
    *(.text*)
  } :text
  _etext = .;
  PROVIDE (etext = .);
  .rodata :
  {
    *(SORT_BY_ALIGNMENT(SORT_BY_NAME(.rodata*)))
  } :text
  . = (. + 0x00FF) & 0xFFFFFF00;
  .data :
  {
    *(.data*)
    *(.sdata*)
  }
  _edata = .;
  PROVIDE (edata = .);
  . = .;
  . = 0xC01C0000;
  __bss_start = .;
  .bss (NOLOAD) :
  {
   *(.bss*)
   *(.sbss*)
   *(COMMON)
  } :bss
  . = ALIGN(4);
  _end = . ;
  PROVIDE (end = .);
}
